#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - LIRC installation
#
# Copyright (c) 2005 Alexander Dahl <post@lespocky.de>
#
# Creation:     18.05.2005  Alexander Dahl
# Last Update:  07.07.2005  Alexander Dahl
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
. /var/install/include/eislib
PACKAGE=lirc
PACKAGE_NAME='LIRC'
VERSION='0.1.1'

mecho -info "Installing $PACKAGE $VERSION..."

### configure libraries
mecho -info "Running ldconfig..."
/sbin/ldconfig 2>/dev/null

### create lirc devices
mecho -info "Creating devices if they don't exist..."
# /dev/lirc bei mehreren devices spter woanders anlegen!
if [ ! -f /dev/lircd ]
then
    mknod -m 666 /dev/lircd p
fi
if [ ! -f /dev/lircm ]
then
    mknod -m 666 /dev/lircm p
fi
if [ ! -f /dev/lirc ]
then
    mknod -m 666 /dev/lirc c 61 0
fi
chown root:root /dev/lirc*

### add menu
mecho -info "Adding $PACKAGE menu..."
/var/install/bin/add-menu setup.services.menu setup.services.$PACKAGE.menu "LIRC"

mecho -info "Adding menu entry for Advanced Configuration File Handling..."
/var/install/bin/add_advancedconfigmenu -quiet $PACKAGE

### install configuration
if [ -f /etc/config.d/$PACKAGE ]
then
    ### update configuration
    echo "Loading previous configuration file..."
    /var/install/config.d/$PACKAGE-update.sh
else
    if [ -f /tmp/lirc-config ]
    then
        ### update configuration from version 0.0.4 or earlier
        mv /tmp/lirc-config /etc/config.d/lirc
    echo "Found installed package version 0.0.4 or earlier..."
        echo "Loading previous configuration file..."
        /var/install/config.d/$PACKAGE-update.sh
    else
        ### install default configuration
        echo "Loading default configuration file..."
        cp -p /etc/default.d/$PACKAGE /etc/config.d/$PACKAGE
        /var/install/config.d/$PACKAGE-update.sh
    fi
fi

### edit configuration
/var/install/bin/lirc-edit

exit 0

