#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - LIRC preinstallation
#
# Copyright (c) 2005 Alexander Dahl <post@lespocky.de>
#
# Creation:     18.05.2005  Alexander Dahl
# Last Update:  08.07.2005  Alexander Dahl
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
PACKAGE=lirc
VERSION='0.1.1'
NEEDED_BASE='1.1.2'

### check base version
if [ ! -f /var/install/bin/check-version ] ||
   [ `/var/install/bin/check-version base $NEEDED_BASE` = "new" ]
then
    echo
    echo
    colecho "The version of eisfair must be $NEEDED_BASE or higher." rd w brinv
    coleche "Please update your eisfair system first." rd w brinv
    echo
    echo
    exit 1
fi

### check for installed lirc_modules (checkversion geht, weil wegen base sonst
###                                   schon abgebrochen wre)
if [ `/var/install/bin/check-version lirc_modules` = "not-installed" ] &&
   [ `/var/install/bin/check-version lirc_modules_smp` = "not-installed" ]
then
    echo
    echo
    colecho "Installation of lirc_modules or lirc_modules_smp is strongly recommend!" rd w brinv
    echo
    echo
    ANSWER=`/var/install/bin/ask "Continue installation of LIRC anyway?"`
    if [ ! "$ANSWER" = "yes" ]
    then
        echo
        echo
        colecho "Installation aborted." rd w brinv
        echo
        echo
        exit 1
    fi
fi

### deinstall old package version
if [ -f "/var/install/deinstall/$PACKAGE" ]
then
    # 0.0.4 muss extra behandelt werden
    case `/var/install/bin/check-version lirc 0.0.4` in
        installed|new)
### !!!!!!!!!!
### bernahme von Konfiguration von LIRC 0.0.4 fehlt hier noch
            echo "Configuration of LIRC 0.0.4 will be lost (not supported yet)."
            ANSWER=`/var/install/bin/ask "Continue installation of LIRC anyway?"`
            if [ ! "$ANSWER" = "yes" ]
            then
                echo
                echo
                colecho "Installation aborted." rd w brinv
                echo
                echo
                exit 1
            fi
            /var/install/deinstall/$PACKAGE
        ;;
        old)    # ab 0.0.5 kennt deinstall den update parameter
            /var/install/deinstall/$PACKAGE update
        ;;
        *)
            echo "LIRC is not installed yet."
        ;;
    esac
fi

