#!/bin/sh
#----------------------------------------------------------------------------
# /var/install/config.d/lirc.sh - LIRC Config File Update
#
# Copyright (c) 2005 Alexander Dahl <post@lespocky.de>
#
# Creation:     02.05.2004  Patrick Gniza
# Last Update:  07.07.2005  alex
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
. /var/install/include/eislib
PACKAGE=lirc
PACKAGE_POS='40'

### Loading Configuration
. /etc/config.d/$PACKAGE

### Check for existing LIRC configuration file
if [ -f /etc/lircd.conf ]
then
    mecho "/etc/lircd.conf exists..."
else
    echo
    mecho -warn "/etc/lircd.conf does not exist!"
    mecho -warn "Please copy a valid config file for your remote to /etc/lircd.conf!"
    echo
fi

### install/remove startup/stop scripts
if [ "$START_LIRC" = "yes" ]
then
    ### install start/stop scripts
    PACKAGE_START='S'${PACKAGE_POS}${PACKAGE}
    PACKAGE_KILL='K'`/usr/bin/expr 100 - $PACKAGE_POS`${PACKAGE}
    ln -sf /etc/init.d/$PACKAGE /etc/rc2.d/$PACKAGE_START
    ln -sf /etc/init.d/$PACKAGE /etc/rc2.d/$PACKAGE_KILL
else
    ### remove start/stop scripts
    rm -f /etc/rc?.d/???$PACKAGE
fi

